self.addEventListener('install', event => event.waitUntil(
    caches.open('web_pwa').then(cache => cache.add('/'))
  ));
  
self.addEventListener('fetch', event => event.respondWith(
    caches.open('web_pwa')
      .then(cache => cache.match(event.request))
      .then(response => response || fetch(event.request))
));